/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activecluster;

import javax.jms.JMSException;
import java.util.Map;

/**
 * Represents the local (in process) node
 * 
 * @version $Revision: 1.3 $
 */
public interface LocalNode extends Node {

    /**
     * Allows the local state to be modified, which will
     * be replicated asynchronously around the cluster
     * @param state
     * @throws JMSException
     */
    public void setState(Map state) throws JMSException;

}
