/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activecluster.impl;

import org.codehaus.activecluster.LocalNode;

import javax.jms.Destination;
import java.util.Map;

/**
 * Default implementation of a local Node which doesn't
 * have its state replicated
 * 
 * @version $Revision: 1.3 $
 */
public class NonReplicatedLocalNode extends NodeImpl implements LocalNode {
    public NonReplicatedLocalNode(Destination destination) {
        super(destination);
    }

    public synchronized void setState(Map state) {
        super.setState(state);
    }

    public void pingRemoteNodes() {
        // should never be called
    }
}