/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activecluster.impl;

import org.codehaus.activecluster.Node;
import org.codehaus.activecluster.election.ElectionStrategy;


/**
 * A client side proxy to the remove cluster
 *
 * @version $Revision: 1.3 $
 */
public interface StateService {

    /**
     * Sends a keep alive to the cluster
     *
     * @param node
     */
    public void keepAlive(Node node);

    /**
     * Sends a shutdown message to the cluster
     */
    public void shutdown(Node node);
    
}
